package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the liking database table.
 * 
 */
@Entity
public class Liking implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String email;

	private String books;

	private String hobbies;

	private String movies;

	private String musics;

	//bi-directional one-to-one association to Account
	@OneToOne
	@JoinColumn(name="email")
	private Account account;

	public Liking() {
	}

	public String getEmail() {
		return this.email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getBooks() {
		return this.books;
	}

	public void setBooks(String books) {
		this.books = books;
	}

	public String getHobbies() {
		return this.hobbies;
	}

	public void setHobbies(String hobbies) {
		this.hobbies = hobbies;
	}

	public String getMovies() {
		return this.movies;
	}

	public void setMovies(String movies) {
		this.movies = movies;
	}

	public String getMusics() {
		return this.musics;
	}

	public void setMusics(String musics) {
		this.musics = musics;
	}

	public Account getAccount() {
		return this.account;
	}

	public void setAccount(Account account) {
		this.account = account;
	}

}